Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents
Class ExtGState

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.ExtGState

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class ExtGState

extends PdfObjectWrapper<PdfDictionary>

Graphics state parameters [PDF:1.6:4.3.4].

Since:
  0.0.8
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`ExtGState(Document context)`

Method Summary
`void` | `applyTo(ContentScanner.GraphicsState state)`
`ExtGState` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`List<BlendModeEnum>` | `getBlendMode()` Gets the blend mode to be used in the transparent imaging model [PDF:1.7:7.2.4].
`Double` | `getFillAlpha()` Gets the nonstroking alpha constant, specifying the constant shape or constant opacity value to be used for nonstroking operations in the transparent imaging model [PDF:1.7:7.2.6].
`Font` | `getFont()`
`Double` | `getFontSize()`
`LineCapEnum` | `getLineCap()`
`LineDash` | `getLineDash()`
`LineJoinEnum` | `getLineJoin()`
`Double` | `getLineWidth()`
`Double` | `getMiterLimit()`
`Double` | `getStrokeAlpha()` Gets the stroking alpha constant, specifying the constant shape or constant opacity value to be used for stroking operations in the transparent imaging model [PDF:1.7:7.2.6].
`boolean` | `isAlphaShape()` Gets whether the current soft mask and alpha constant are to be interpreted as shape values instead of opacity values.
`void` | `setAlphaShape(boolean value)`
`void` | `setBlendMode(BlendModeEnum... value)`
`void` | `setBlendMode(List<BlendModeEnum> value)`
`void` | `setFillAlpha(Double value)`
`void` | `setFont(Font value)`
`void` | `setFontSize(Double value)`
`void` | `setLineCap(LineCapEnum value)`
`void` | `setLineDash(LineDash value)`
`void` | `setLineJoin(LineJoinEnum value)`
`void` | `setLineWidth(Double value)`
`void` | `setMiterLimit(Double value)`
`void` | `setStrokeAlpha(Double value)`
`static ExtGState` | `wrap(PdfDirectObject baseObject)` Wraps the specified base object into a graphics state parameter dictionary object.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtGState

    public ExtGState(Document context)

Method Detail

### wrap

    public static ExtGState wrap(PdfDirectObject baseObject)

  Wraps the specified base object into a graphics state parameter dictionary object.

  Parameters:
    `baseObject` - Base object of a graphics state parameter dictionary object.
  Returns:
    Graphics state parameter dictionary object corresponding to the base object.

### applyTo

    public void applyTo(ContentScanner.GraphicsState state)

### clone

    public ExtGState clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getBlendMode

    @PDF(value=PDF14)
    public List<BlendModeEnum> getBlendMode()

  Gets the blend mode to be used in the transparent imaging model [PDF:1.7:7.2.4].

### getFillAlpha

    @PDF(value=PDF14)
    public Double getFillAlpha()

  Gets the nonstroking alpha constant, specifying the constant shape or constant opacity value to be used for nonstroking operations in the transparent imaging model [PDF:1.7:7.2.6].

### getFont

    @PDF(value=PDF13)
    public Font getFont()

### getFontSize

    @PDF(value=PDF13)
    public Double getFontSize()

### getLineCap

    @PDF(value=PDF13)
    public LineCapEnum getLineCap()

### getLineDash

    @PDF(value=PDF13)
    public LineDash getLineDash()

### getLineJoin

    @PDF(value=PDF13)
    public LineJoinEnum getLineJoin()

### getLineWidth

    @PDF(value=PDF13)
    public Double getLineWidth()

### getMiterLimit

    @PDF(value=PDF13)
    public Double getMiterLimit()

### getStrokeAlpha

    @PDF(value=PDF14)
    public Double getStrokeAlpha()

  Gets the stroking alpha constant, specifying the constant shape or constant opacity value to be used for stroking operations in the transparent imaging model [PDF:1.7:7.2.6].

### isAlphaShape

    @PDF(value=PDF14)
    public boolean isAlphaShape()

  Gets whether the current soft mask and alpha constant are to be interpreted as shape values instead of opacity values.

### setAlphaShape

    public void setAlphaShape(boolean value)

  See Also:
    `isAlphaShape()`

### setBlendMode

    public void setBlendMode(List<BlendModeEnum> value)

  See Also:
    `getBlendMode()`

### setBlendMode

    public void setBlendMode(BlendModeEnum... value)

  See Also:
    `getBlendMode()`

### setFillAlpha

    public void setFillAlpha(Double value)

  See Also:
    `getFillAlpha()`

### setFont

    public void setFont(Font value)

  See Also:
    `getFont()`

### setFontSize

    public void setFontSize(Double value)

  See Also:
    `getFontSize()`

### setLineCap

    public void setLineCap(LineCapEnum value)

  See Also:
    `getLineCap()`

### setLineDash

    public void setLineDash(LineDash value)

  See Also:
    `getLineDash()`

### setLineJoin

    public void setLineJoin(LineJoinEnum value)

  See Also:
    `getLineJoin()`

### setLineWidth

    public void setLineWidth(Double value)

  See Also:
    `getLineWidth()`

### setMiterLimit

    public void setMiterLimit(Double value)

  See Also:
    `getMiterLimit()`

### setStrokeAlpha

    public void setStrokeAlpha(Double value)

  See Also:
    `getStrokeAlpha()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.